---
title: Create an incident todo
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

# Create an incident todo{% #create-an-incident-todo %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in public beta. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/relationships/todos |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/relationships/todos |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/incidents/{incident_id}/relationships/todos      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/incidents/{incident_id}/relationships/todos      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/relationships/todos  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/incidents/{incident_id}/relationships/todos     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/relationships/todos |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/relationships/todos |

### Overview

Create an incident todo. This endpoint requires the `incident_write` permission.

OAuth apps require the `incident_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description               |
| ----------------------------- | ------ | ------------------------- |
| incident_id [*required*] | string | The UUID of the incident. |

### Request

#### Body Data (required)

Incident todo payload.

{% tab title="Model" %}

| Parent field | Field                        | Type            | Description                                                                        |
| ------------ | ---------------------------- | --------------- | ---------------------------------------------------------------------------------- |
|              | data [*required*]       | object          | Incident todo data for a create request.                                           |
| data         | attributes [*required*] | object          | Incident todo's attributes.                                                        |
| attributes   | assignees [*required*]  | [ <oneOf>] | Array of todo assignees.                                                           |
| assignees    | Option 1                     | string          | Assignee's @-handle.                                                               |
| assignees    | Option 2                     | object          | Anonymous assignee entity.                                                         |
| Option 2     | icon [*required*]       | string          | URL for assignee's icon.                                                           |
| Option 2     | id [*required*]         | string          | Anonymous assignee's ID.                                                           |
| Option 2     | name [*required*]       | string          | Assignee's name.                                                                   |
| Option 2     | source [*required*]     | enum            | The source of the anonymous assignee. Allowed enum values: `slack,microsoft_teams` |
| attributes   | completed                    | string          | Timestamp when the todo was completed.                                             |
| attributes   | content [*required*]    | string          | The follow-up task's content.                                                      |
| attributes   | created                      | date-time       | Timestamp when the incident todo was created.                                      |
| attributes   | due_date                     | string          | Timestamp when the todo should be completed by.                                    |
| attributes   | incident_id                  | string          | UUID of the incident this todo is connected to.                                    |
| attributes   | modified                     | date-time       | Timestamp when the incident todo was last modified.                                |
| data         | type [*required*]       | enum            | Todo resource type. Allowed enum values: `incident_todos`                          |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "assignees": [
        "@test.user@test.com"
      ],
      "content": "Restore lost data."
    },
    "type": "incident_todos"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
CREATED
{% tab title="Model" %}
Response with an incident todo.

| Parent field          | Field                       | Type            | Description                                                                                                        |
| --------------------- | --------------------------- | --------------- | ------------------------------------------------------------------------------------------------------------------ |
|                       | data [*required*]      | object          | Incident todo response data.                                                                                       |
| data                  | attributes                  | object          | Incident todo's attributes.                                                                                        |
| attributes            | assignees [*required*] | [ <oneOf>] | Array of todo assignees.                                                                                           |
| assignees             | Option 1                    | string          | Assignee's @-handle.                                                                                               |
| assignees             | Option 2                    | object          | Anonymous assignee entity.                                                                                         |
| Option 2              | icon [*required*]      | string          | URL for assignee's icon.                                                                                           |
| Option 2              | id [*required*]        | string          | Anonymous assignee's ID.                                                                                           |
| Option 2              | name [*required*]      | string          | Assignee's name.                                                                                                   |
| Option 2              | source [*required*]    | enum            | The source of the anonymous assignee. Allowed enum values: `slack,microsoft_teams`                                 |
| attributes            | completed                   | string          | Timestamp when the todo was completed.                                                                             |
| attributes            | content [*required*]   | string          | The follow-up task's content.                                                                                      |
| attributes            | created                     | date-time       | Timestamp when the incident todo was created.                                                                      |
| attributes            | due_date                    | string          | Timestamp when the todo should be completed by.                                                                    |
| attributes            | incident_id                 | string          | UUID of the incident this todo is connected to.                                                                    |
| attributes            | modified                    | date-time       | Timestamp when the incident todo was last modified.                                                                |
| data                  | id [*required*]        | string          | The incident todo's ID.                                                                                            |
| data                  | relationships               | object          | The incident's relationships from a response.                                                                      |
| relationships         | created_by_user             | object          | Relationship to user.                                                                                              |
| created_by_user       | data [*required*]      | object          | Relationship to user object.                                                                                       |
| data                  | id [*required*]        | string          | A unique identifier that represents the user.                                                                      |
| data                  | type [*required*]      | enum            | Users resource type. Allowed enum values: `users`                                                                  |
| relationships         | last_modified_by_user       | object          | Relationship to user.                                                                                              |
| last_modified_by_user | data [*required*]      | object          | Relationship to user object.                                                                                       |
| data                  | id [*required*]        | string          | A unique identifier that represents the user.                                                                      |
| data                  | type [*required*]      | enum            | Users resource type. Allowed enum values: `users`                                                                  |
| data                  | type [*required*]      | enum            | Todo resource type. Allowed enum values: `incident_todos`                                                          |
|                       | included                    | [ <oneOf>] | Included related resources that the user requested.                                                                |
| included              | Option 1                    | object          | User object returned by the API.                                                                                   |
| Option 1              | attributes                  | object          | Attributes of user object returned by the API.                                                                     |
| attributes            | created_at                  | date-time       | The ISO 8601 timestamp of when the user account was created.                                                       |
| attributes            | disabled                    | boolean         | Whether the user account is deactivated. Disabled users cannot log in.                                             |
| attributes            | email                       | string          | The email address of the user, used for login and notifications.                                                   |
| attributes            | handle                      | string          | The unique handle (username) of the user, typically matching their email prefix.                                   |
| attributes            | icon                        | string          | URL of the user's profile icon, typically a Gravatar URL derived from the email address.                           |
| attributes            | last_login_time             | date-time       | The ISO 8601 timestamp of the user's most recent login, or null if the user has never logged in.                   |
| attributes            | mfa_enabled                 | boolean         | Whether multi-factor authentication (MFA) is enabled for the user's account.                                       |
| attributes            | modified_at                 | date-time       | The ISO 8601 timestamp of when the user account was last modified.                                                 |
| attributes            | name                        | string          | The full display name of the user as shown in the Datadog UI.                                                      |
| attributes            | service_account             | boolean         | Whether this is a service account rather than a human user. Service accounts are used for programmatic API access. |
| attributes            | status                      | string          | The current status of the user account (for example, `Active`, `Pending`, or `Disabled`).                          |
| attributes            | title                       | string          | The job title of the user (for example, "Senior Engineer" or "Product Manager").                                   |
| attributes            | uuid                        | string          | The globally unique identifier (UUID) of the user.                                                                 |
| attributes            | verified                    | boolean         | Whether the user's email address has been verified.                                                                |
| Option 1              | id                          | string          | ID of the user.                                                                                                    |
| Option 1              | relationships               | object          | Relationships of the user object returned by the API.                                                              |
| relationships         | org                         | object          | Relationship to an organization.                                                                                   |
| org                   | data [*required*]      | object          | Relationship to organization object.                                                                               |
| data                  | id [*required*]        | string          | ID of the organization.                                                                                            |
| data                  | type [*required*]      | enum            | Organizations resource type. Allowed enum values: `orgs`                                                           |
| relationships         | other_orgs                  | object          | Relationship to organizations.                                                                                     |
| other_orgs            | data [*required*]      | [object]        | Relationships to organization objects.                                                                             |
| data                  | id [*required*]        | string          | ID of the organization.                                                                                            |
| data                  | type [*required*]      | enum            | Organizations resource type. Allowed enum values: `orgs`                                                           |
| relationships         | other_users                 | object          | Relationship to users.                                                                                             |
| other_users           | data [*required*]      | [object]        | Relationships to user objects.                                                                                     |
| data                  | id [*required*]        | string          | A unique identifier that represents the user.                                                                      |
| data                  | type [*required*]      | enum            | Users resource type. Allowed enum values: `users`                                                                  |
| relationships         | roles                       | object          | Relationship to roles.                                                                                             |
| roles                 | data                        | [object]        | An array containing type and the unique identifier of a role.                                                      |
| data                  | id                          | string          | The unique identifier of the role.                                                                                 |
| data                  | type                        | enum            | Roles type. Allowed enum values: `roles`                                                                           |
| Option 1              | type                        | enum            | Users resource type. Allowed enum values: `users`                                                                  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "assignees": [
        {
          "description": "@test.user@test.com",
          "example": "@test.user@test.com",
          "type": "@test.user@test.com"
        }
      ],
      "completed": "2023-03-06T22:00:00.000000+00:00",
      "content": "Restore lost data.",
      "created": "2019-09-19T10:00:00.000Z",
      "due_date": "2023-07-10T05:00:00.000000+00:00",
      "incident_id": "00000000-aaaa-0000-0000-000000000000",
      "modified": "2019-09-19T10:00:00.000Z"
    },
    "id": "00000000-0000-0000-1234-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "incident_todos"
  },
  "included": [
    {
      "attributes": {
        "created_at": "2019-09-19T10:00:00.000Z",
        "disabled": false,
        "email": "string",
        "handle": "string",
        "icon": "string",
        "last_login_time": "2019-09-19T10:00:00.000Z",
        "mfa_enabled": false,
        "modified_at": "2019-09-19T10:00:00.000Z",
        "name": "string",
        "service_account": false,
        "status": "string",
        "title": "string",
        "uuid": "string",
        "verified": false
      },
      "id": "string",
      "relationships": {
        "org": {
          "data": {
            "id": "00000000-0000-beef-0000-000000000000",
            "type": "orgs"
          }
        },
        "other_orgs": {
          "data": [
            {
              "id": "00000000-0000-beef-0000-000000000000",
              "type": "orgs"
            }
          ]
        },
        "other_users": {
          "data": [
            {
              "id": "00000000-0000-0000-2345-000000000000",
              "type": "users"
            }
          ]
        },
        "roles": {
          "data": [
            {
              "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
              "type": "roles"
            }
          ]
        }
      },
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export incident_id="CHANGE_ME" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/incidents/${incident_id}/relationships/todos" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "assignees": [
        "@test.user@test.com"
      ],
      "completed": "2023-03-06T22:00:00.000000+00:00",
      "content": "Restore lost data.",
      "due_date": "2023-07-10T05:00:00.000000+00:00",
      "incident_id": "00000000-aaaa-0000-0000-000000000000"
    },
    "type": "incident_todos"
  }
}
EOF 
                        
##### 

```go
// Create an incident todo returns "CREATED" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "incident" in the system
	IncidentDataID := os.Getenv("INCIDENT_DATA_ID")

	body := datadogV2.IncidentTodoCreateRequest{
		Data: datadogV2.IncidentTodoCreateData{
			Attributes: datadogV2.IncidentTodoAttributes{
				Assignees: []datadogV2.IncidentTodoAssignee{
					datadogV2.IncidentTodoAssignee{
						IncidentTodoAssigneeHandle: datadog.PtrString("@test.user@test.com")},
				},
				Content: "Restore lost data.",
			},
			Type: datadogV2.INCIDENTTODOTYPE_INCIDENT_TODOS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.CreateIncidentTodo", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIncidentsApi(apiClient)
	resp, r, err := api.CreateIncidentTodo(ctx, IncidentDataID, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.CreateIncidentTodo`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.CreateIncidentTodo`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Create an incident todo returns "CREATED" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IncidentsApi;
import com.datadog.api.client.v2.model.IncidentTodoAssignee;
import com.datadog.api.client.v2.model.IncidentTodoAttributes;
import com.datadog.api.client.v2.model.IncidentTodoCreateData;
import com.datadog.api.client.v2.model.IncidentTodoCreateRequest;
import com.datadog.api.client.v2.model.IncidentTodoResponse;
import com.datadog.api.client.v2.model.IncidentTodoType;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.createIncidentTodo", true);
    IncidentsApi apiInstance = new IncidentsApi(defaultClient);

    // there is a valid "incident" in the system
    String INCIDENT_DATA_ID = System.getenv("INCIDENT_DATA_ID");

    IncidentTodoCreateRequest body =
        new IncidentTodoCreateRequest()
            .data(
                new IncidentTodoCreateData()
                    .attributes(
                        new IncidentTodoAttributes()
                            .assignees(
                                Collections.singletonList(
                                    new IncidentTodoAssignee("@test.user@test.com")))
                            .content("Restore lost data."))
                    .type(IncidentTodoType.INCIDENT_TODOS));

    try {
      IncidentTodoResponse result = apiInstance.createIncidentTodo(INCIDENT_DATA_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IncidentsApi#createIncidentTodo");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Create an incident todo returns "CREATED" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi
from datadog_api_client.v2.model.incident_todo_assignee_array import IncidentTodoAssigneeArray
from datadog_api_client.v2.model.incident_todo_attributes import IncidentTodoAttributes
from datadog_api_client.v2.model.incident_todo_create_data import IncidentTodoCreateData
from datadog_api_client.v2.model.incident_todo_create_request import IncidentTodoCreateRequest
from datadog_api_client.v2.model.incident_todo_type import IncidentTodoType

# there is a valid "incident" in the system
INCIDENT_DATA_ID = environ["INCIDENT_DATA_ID"]

body = IncidentTodoCreateRequest(
    data=IncidentTodoCreateData(
        attributes=IncidentTodoAttributes(
            assignees=IncidentTodoAssigneeArray(
                [
                    "@test.user@test.com",
                ]
            ),
            content="Restore lost data.",
        ),
        type=IncidentTodoType.INCIDENT_TODOS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["create_incident_todo"] = True
with ApiClient(configuration) as api_client:
    api_instance = IncidentsApi(api_client)
    response = api_instance.create_incident_todo(incident_id=INCIDENT_DATA_ID, body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Create an incident todo returns "CREATED" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.create_incident_todo".to_sym] = true
end
api_instance = DatadogAPIClient::V2::IncidentsAPI.new

# there is a valid "incident" in the system
INCIDENT_DATA_ID = ENV["INCIDENT_DATA_ID"]

body = DatadogAPIClient::V2::IncidentTodoCreateRequest.new({
  data: DatadogAPIClient::V2::IncidentTodoCreateData.new({
    attributes: DatadogAPIClient::V2::IncidentTodoAttributes.new({
      assignees: [
        "@test.user@test.com",
      ],
      content: "Restore lost data.",
    }),
    type: DatadogAPIClient::V2::IncidentTodoType::INCIDENT_TODOS,
  }),
})
p api_instance.create_incident_todo(INCIDENT_DATA_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Create an incident todo returns "CREATED" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;
use datadog_api_client::datadogV2::model::IncidentTodoAssignee;
use datadog_api_client::datadogV2::model::IncidentTodoAttributes;
use datadog_api_client::datadogV2::model::IncidentTodoCreateData;
use datadog_api_client::datadogV2::model::IncidentTodoCreateRequest;
use datadog_api_client::datadogV2::model::IncidentTodoType;

#[tokio::main]
async fn main() {
    // there is a valid "incident" in the system
    let incident_data_id = std::env::var("INCIDENT_DATA_ID").unwrap();
    let body = IncidentTodoCreateRequest::new(IncidentTodoCreateData::new(
        IncidentTodoAttributes::new(
            vec![IncidentTodoAssignee::IncidentTodoAssigneeHandle(
                "@test.user@test.com".to_string(),
            )],
            "Restore lost data.".to_string(),
        ),
        IncidentTodoType::INCIDENT_TODOS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.CreateIncidentTodo", true);
    let api = IncidentsAPI::with_config(configuration);
    let resp = api
        .create_incident_todo(incident_data_id.clone(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Create an incident todo returns "CREATED" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.createIncidentTodo"] = true;
const apiInstance = new v2.IncidentsApi(configuration);

// there is a valid "incident" in the system
const INCIDENT_DATA_ID = process.env.INCIDENT_DATA_ID as string;

const params: v2.IncidentsApiCreateIncidentTodoRequest = {
  body: {
    data: {
      attributes: {
        assignees: ["@test.user@test.com"],
        content: "Restore lost data.",
      },
      type: "incident_todos",
    },
  },
  incidentId: INCIDENT_DATA_ID,
};

apiInstance
  .createIncidentTodo(params)
  .then((data: v2.IncidentTodoResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
